// ISEKAI- the title says all.

// LOWER FLOOR

#include <adv3.h>
#include <en_us.h>

/*
CURRENT MAIN TODO:

 -- writing & fleshing the components of the painting.

TODO LATER:
 -- the local reactions/adprose (scene.isActive) during the Azuj-related 
    scenes: "girls in bathroom" "cooking & eating together"
    (mainly in iscenes.t, of course)
 -- when 99,99% (100% is impossible, as every coder known..) debugged the 
    components of the painting, implement an "initial painting", whose only
    role is of keeping out of scope the components until the painting is 
    described..

 -- after the wardrobe recognition, imp the little "with all those top 
    dress, let's dare to untie that bodice" sequence. (need figuring how to 
    desc without prematurely disclosing the perma-lactation, to be 
    discovered during the "lunch with Azuj" scene; there's a hint in the 
    manga, anyway.
    BUT... I can't hide that there's a solid narrative value in discovering 
    the lactation prior of Azuj: the nameless PC, having only the non-perma 
    standard of Earth, hundreds of thousands of years & light-years farther, 
    and being not-so implicitly a gentlemen, will seriousl worry about the 
    serious possibility of a little hungry elf toddler somewhere...


NOTABENE: the static (for now) desc of the rooms here reflect that the PC 
has already seen the painting and checked the mirror, knowing that she is the 
centre girl, but still not knowing the relationship with the other two.
(relkno fully gained when reading both lines of the bracelet)
In due time, these descs will be replaced with appropriate adaptive prose.
*/


/* ROOMS, STATIC OBJECTS & SCENERY
NOTES: the house's ground floor (This is EU !) has 12 locations in total: 
(lower) living room (where the game starts), undermezzanine, eating room, 
3-location long corridor, tiny hallway, toilet, kitchen, bedroom, combined 
dressing/drawing room, (thermal) bath.

Together with the 8 locations of the upper floor plus the 12 rooms of the 
tower, the grand total of the central building is 32 locations.

Note that daemon's and angel's wingspan need too much space, so no more 
"levitation as key for vertical movement" !

Initially the player is confined to the living and umezz rooms until he sees 
the painting and the mirror, whose opens the rest of the house.

Exploring the lower floor of the house led the player to realise that indeed 
is part of a very unique (by earth standards: actually, lesbian throuples are 
uncommon on Railei, but the racial composition indeed is a rare one, even 
there.) married throuple one, the painting (actually a picture done by magic) 
being taken during the marriage (the bracelet being this world's equivalent 
of a wedding ring)

the luvkno & relkno var, tracking: 
the PC's realisation of the love and marriage relationship, builds up on the 
progression of the exploration the house, with two thresholds, the first 
realising the love feeling toward the spouses, after which the perception of
some topical loc/item (eg. the bed or the painting, even the relief...) 
changes significantly.
The second threshold is the realisation of being also married with her loved 
and soulmated spouses, thru the full reading of the inscription on the 
bracelet, the two thresholds together, or only relkno, ignite the daemon-fuse 
(sorry, I couldn't resist this bad but apropos joke...) of the arrival of Azuj 
in the balcony/landing pad in the upper floor and the beginning of mid-game.
*/

living: Room 'Living room'

// the sofas, armchairs &c.'s low backrests are actually "wingrests" 4 Miyai 
// & Azuj (the daemonic and the angelic member of the triangle, respectively) 
// and, esp. on the upper floor, also for winged guests.

// The painting is the portrait of the triangle at the day of marriage, and 
// is VERY critical in the narrative, because is the very first appareance 
// of the rather unusual trio, and is the lone "visual" reference until 
// the arrival of the two NPCs.

// TODO later: evaluate a "fake initial painting", linking the scope of said
// painting to the actual painting after the first look, avoiding the need of 
// many lines of component's moveInto (a sure recipe for bugs..), needed for 
// avoiding the inconsistency of X the painting's components, inconsistency 
// kept here for now, for mere debug & adprose checking.

// TADS 3.1.x ad prose RULEEZZZ !!

 "<<one of>>When you wake, the first thing you see is that the ceiling is
really high: the barreled roof is at least ten, perhaps twelve, meters above 
you, lying face up on a strange sofa, in the middle of what looks like a 
rather grand living room, on two levels, a mezzanine covering the eastern 
third of this room, forming a cozy, even intimate, area below it. A flight of 
stairs against the northern wall climbs up to the mezzanine.\n
On the centre of the southern wall hangs, flanked by an arched passage on  
its left and a larger archway on its right, an huge life-size painting, so 
detailed and realistic that you can't exclude that is actually a photograph, 
catches your attention.\n
Lowering your sight from the gorgeousness of this living room, <i>another</i> 
gorgeousness immediately catch your eye: this body's bosom sport a pair of D 
cup breasts, covered by a laced bodice, and you wear a skirt around your 
lower body. <i>Female attributes and dress, for real ? how and why ??</i>
 <<or>>This room is a living room; indeed there's a sofa,
 <<if etuye.location==sofa>> on which you lie face up,<<end>> facing an huge 
painting, placed in a prominent spot at the very centre of the south wall, 
between an arched passage to a corridor and a larger archway leading 
southeast to another room, and a low table is placed between this sofa and 
the painting, the style and design of the sofa and table is a very strange 
one, whose you have never seen.\n
The ceiling above is really high: more than a dozen metre above, and above 
the eastern third is a mezzanine, reachable thru a simple but elegant flight 
of stairs against the north wall; east, the low-ceiled space below the 
mezzanine forms a more intimate part of the living room, at the end of which, 
on the east wall, hangs a large, ornate, mirror.\n
<i>From its placement, this painting looks very significant. Let's 
examine it..</i><<stopping>>"

 south : OneWayRoomConnector { -> corrN travelBarrier = [paintbarrier, 
mirrorbarrier] }
// west = pathhouse // deactivated for now
// this avoid looking into the mirror prior of x painting...
east : OneWayRoomConnector { -> umezz travelBarrier = [paintbarrier] }
southeast = eating

// 2ndF barrier; hopefully will be really rare that a player hits the 
// relief-related barrier...
up: OneWayRoomConnector {-> mezzanine travelBarrier = [lfbarrier, 
reliefbarrier]} 
north asExit(up)

// looking at all 3 spouses should dawn in the nameless PC's mind the 
// possibility that IS in love with the other two... with the accompanying 
// extra step ahead in luvkno.

roomAfterAction {
if (redGirl.described && greenGirl.described && aquaGirl.described)
// Provisional. To be perfected.
 "<<first time>><<etuye.luvkno++ ? "" : "">>\bAfter giving a more in-depth
look at the depictions of these three young women, you pause, attempting 
to sort out the unexpected feelings those depictions have evoked inside your 
body; after many swings with the proverbial Occam's razor, you remain with 
only the most improbable answer:\n
<i>if this body is in love with this pair of so different ladies ?</i>\n
\n This answer, the only one you manage to cobble together, is so eccentric
that you can hardly take seriously in consideration; but, looking again at 
the depicted trio, you note that there's a critical detail: that is, 
abstracting from the different, inhuman, species, all three seems definitively 
young adults, that is, they are..\n 
<i>..in the marriage age</i>....\n
You shook your head at the preposterous idea, sighed, then realize that your 
sigh is one more of <i>longing</i> than frustration, so you reluctantly 
concluded that is better and wiser adding this pair of unsettling questions to 
the pile of unanswered questions; a pair of questions whose you are 
unsure if you actually <i>want</i> to find an answer..<<only>>";
} 
;

; // living

paintbarrier: TravelBarrier
  canTravelerPass (traveler) {return painting.described ;}
  explainTravelBarrier(traveler)
	{"<i>Prior of wandering around, let's check that painting, whose 
prominent placement indicates that is important to whoever live here 
...</i>";}
;

mirrorbarrier: TravelBarrier
	canTravelerPass (traveler) {return mirror.described ;}
	explainTravelBarrier(traveler)
		{"<i>Prior of wandering around, let's check if this body is actually 
that depicted in the painting, and there's a mirror beckoning in that cozy 
area eastward from here...</i>";}
;


lfbarrier: TravelBarrier // lf = Lower Floor
	canTravelerPass (traveler) {return eating.seen && kitchen.seen && 
bed.seen && dressing.seen && commlab.seen;} 
// the relief room is implicit in the reliefbarrier just below; 
	explainTravelBarrier(traveler) 
		{"This is a strange place; prior of venturing above, is better, 
perhaps also wise, exploring a bit more around this floor.";
		}
;

// hopefully THIS will be rarely seen, if ever...
reliefbarrier: TravelBarrier
  canTravelerPass (traveler) {return etuye.relieved;}
  explainTravelBarrier(traveler) 
	{"When you raise your feet toward the first step of the stairs, 
the groins of this elfin body reminds you that you haven't answered 
the \"Call of Nature\"; With a body not only of different genre, but also of 
different, elfin, nature, is wise to answer first this call; 
<<if !relief.seen>>somewhat you remind that the retreat is somewhere on this 
ground floor.<<else>> anyway, that 'relief room' isn't much far...";
// to be improved...
		}
;

Decoration 'low/black/lacquered table' 'low table' @living
 "It is a simple, but lacquered in a very shining black, low table between 
the sofa and the painting; actually, more nearer the sofa: you guess that 
this low table form, together with the sofa, an ensemble functional to the 
contemplation of this painting."
;

sofa : Chair, Fixture 'strange sofa/sofas' 'sofa' @living
  "This sofa<<if etuye.location==sofa>>, where you lie<<end>>, has a strange, 
rather unusual design, the most striking one being that the backrest is 
rather low, sitting here will be unconfortable.."
examineSpecialContents() {} // go away, Lapalisse !!
// todo: imp sitting, whose confirm the unconfortable (for back) nature of 
// the wingrests...
;

// The core static item here: the painting !
// THE INITIAL DESCRIPTION IS VERY FUNDAMENTAL HERE !!!

painting: Fixture 'painting/picture/portrait three/girls' 'painting' @living
  "You look again at the painting, but being a painting (or is a 
picture ?) the subject don't change:\n
A totally improbable trio of radiantly smiling young women giving what look 
like an oath, showing on their right wrist identical bracelets: a 
raven-haired dressed in red is at the left, with the classical daemonic 
attribuites,a pair of horns and leathery wings, one spread in embrace of 
the other two girls, the right one, dressed in green and wearing a 
shining silver circlet on her blonde hair, has wings of white feathers, one 
spread in a protective embrace of the other two, is decidely angelic.\n
But the one at more than the center of your attention is the girl in the 
middle, wearing an aqua dress, whose has not only pink hairs, but also pointy 
ears and very fine traits, as the elves of legends and lore are depicted, 
because you, or to be more exact, this body, don't have wings, but your hairs 
are of the same pink of the elf girl in the painting, and you wear the same 
bracelet; now that you pay attention, also your bosom has the same shape and.. 
size.. of that elfin girl.\n
<i>Perhaps examining specifically those young women depicted and at some 
details of them and their costumes will give some clue about this rather 
unusual situation ?</i>"
// to be perfected until the very last !!

initDesc () {
	 ears.moveInto(gActor);
	 eyes.moveInto(gActor);
	 hairs.moveInto(gActor);
	 arms.moveInto(gActor);
	 wrists.moveInto(gActor);
	 bracelet.moveInto(gActor);
	 bracelet.makeWornBy(gActor);
 "You can't say if is actually a painting or a picture, because it is 
extremely realistic, notwhithstanding the rather unique subject it portraits, 
a totally improbable trio of radiantly smiling young women:\n 
The left one, a raven-haired dressed in red, is the shortest of the trio, but 
her head sports a pair of horns, adorned by a diadem elegantly entwined 
between these horns, which are topped by golden engraved covers, on which 
are attached blue streamers; on her back are a pair of leathery wings, her 
left one spread on the back of the other two.\n 
The right one, a blonde, is the taller of the trio, and wears a 
silver-trimmed green dress and around her forehead wears a shiny silver 
circlet, and on her back has two large white-feathered wings, the right 
one spread on the back of the other two, above and behind the leathery one 
of the left girl, and this spread wing project a strong will of protecting 
the other two.\n
The girl at the centre, wearing an aqua dress, doesn't have wings, but has 
purple eyes, long pink hair, pointy ears and very fine traits, definitively 
looking like the elves of fantasy stories and lore.\n
These three improbable girls, a daemon, an angel and an elf, hold together 
their raised right hands, as giving together a solemn oath, showing 
identical, finely carved, bracelets of an iridescent metal on their right 
wrists.\b
in disbelief of the high realism and the improbable subject, you raise your 
right hand up for touching the painting, the sleeve of the bodice falls down, 
revealing that at your right wrist, you wear <b><i>the same, identical 
carved iridescent bracelet</b></i>!\b
You quickly peek at your shoulder, no wings, checked. then you grasp a lock 
of your long hair, discovering that it is of the same pink of the hair of 
the centre girl!!\b";
// to be perfected until the very last !!

}

isInInitState = (!described);
; // painting proper

// The components of the picture. let's start with drafting the trio.
/* list of components:
 * 
 * red dress, horns, leathery wings, canines, covers/streamers (azuj)
 * green dress, circlet, wings, belt (miyai)
 * aqua dress, garland, leaf (etuye)
 * breast/s, face(s), & visible bparts in general.
 * TODO: determine the disamb between the depicted bparts and the real ones..
 */

// DETAILS OF THE PAINTING.
// -p = painting, for differentiating from their actual counterparts.
// 

// RED (AZUJ) GIRL TODO: wings, horn, canines, dress...
redGirl: Component 'left raven haired raven-haired hair petite red dress 
dressed horned female winged woman/girl/daemon/Atuzejiki/Azuj' 
'girl in red'
"<<first time>><<etuye.luvkno++ ? "" : "">><<only>>You studied carefully the 
portrait of the demonic girl in red; she looks, by human standards, in her 
early-to-mid 20s, and that her eyes, with their red iris, project an aura, an 
impression of both joy and resolve.\b
She has has a petite physique; her radiant smile reveals slighty long canines 
and her leathery wings on her back have a wavy pattern of light and dark 
brown, and the talons in the middle and ends are polished to a shine; Her 
horns are, after a small and gentle curve outward at the base, straight up to 
somewhat below of the height of the central girl beside her.\n
These horns not only have a shape you can even call \"gracious\", but are 
topped by golden covers, on each is attached a long straemer descending 
toward her raven black hairs, and an elaborate diadem is intertwined between 
these horns, holding a copper plaque between the horns.\n 
You're surprised in seeing this depiction of actual jewels for horns, a 
diadem and covers; notwithstanding her array of well-groomed and jeweled 
demonic attribuites, overall she definitively <b>DOESN'T</b> looks evil.\b
Her red dress reach her ankle and has a large, sensual decollete around her 
breast, which seems slight bigger than the bosom of the central girl; Anyway, 
the details of the dress are really well painted, if it is actually a 
painting, you can even notice the detail that the cloth is damasked with a 
near-invisible pattern of very narrow flametongues.\n
You unconsciously utter the words:\b
\"<i>Azuj... my dear Atuzejiki</i>\".\n 
You realise that you have uttered her nickname and name; but what has taken 
you aback is your calling \"My dear\" to a demonic-looking, horned and 
leather-winged, girl, an act somewhat.. unusual, to say the very least.\n"
location = painting

// TODO: ATTRIBUITES

// DETAILS
;
diademp: Component 'red girl\'s diadem/jewel/bundle*chains' 'diadem'
 "This diadem is a bundle of gold chains interwowen between the horns in an 
intricate criss-cross pattern, giving symmetry to the red stones placed at 
some of the intersections between those chains, holding a copper plaque 
between the horns, giving the general impression of a flat phylactery.\n
<<if covers.described>>Surprised by the novelty of jewelry for horns, you 
wonder why religions, in decrying ostentation and luxury, never depicted 
jewel-wearing demons.<<end>>"
location = painting
;

covers: Component 'red girl\'s horn jewel*covers*streamers' 'horn covers'
 "These golden covers covers the top third of the horns, and on their 
bullet-shaped tops are a pair of long, red streamers, flowing on her back\n
The streamers seems moved by the horned girl's raising hThe detail of the 
painting depicts even some bends and shadows on the dress, 
suggesting that her left leg is slighty forward.er right hand, giving 
a very dynamic depiction. <i>If it's actually a painting, the artist is 
really someone</i>.\n
<<if diademp.described>>Surprised by the novelty of jewelry for horns, you 
wonder why religions, in decrying ostentation and luxury, never depicted 
jewel-wearing demons.<<end>>"
location=painting
;

plaquep: Component, Readable 'red girl\'s copper plaque/phylactery' 
'copper plaque'
 "The copper plaque is rectangular, with rounded corners, at which is 
attached to four of the golden chains of the diadem intertwined between the 
horns, and has an inscription engraved in sharp, angular characters."
readDesc = "<<if etuye.alfakno < 1>>You don't have an idea of how to read 
those angular characters, so you can't figure what is written in the 
inscription.
<<else>> <<first time>>Thanks to your gained (or <i>recovered</i> ?) 
understanding of the angular characters of the Daemonic scripting, you read 
the inscription: <<only>>\n'<b>To our sister and cousin Azuj, for her most 
happy moment ever of her soul</b>.\n
<<first time>>You are surprised of the word 'soul' applied to a 
daemon.. from other demons ? <<only>>Because her nickname is engraved, this 
diadem is specifically made for her, from member of a loving enlarged 
family.\n
<i>Loving demons ? whatever is this place, I must keep a <b>very</b> open 
mind about this strange environment</i>..." // tiny early-game hint
location = painting
;
// ATTRIBUITES

//awings: Azuj's wings
awings: Component 'daemonic brown wawy pattern leathery wing*wings'
'daemonic wings'
"The most oustanding feature is the wawy pattern of light and dark 
brown on her leathery wings is; you can't deny that is charming, even lovely. 
and the cleanliness and grooming of these wings put the concept of 
\"leather care\" on a new level, equal to skin care."

// unsatisfactory desc (thanks for the NMIs, felines !!!!), to be improved.

location = painting
;

talonsp: Component 'sharp polished shining daemon\'s talons'
'polished talons'
"The sharp talons on the joints and extremities of the wings are carefully 
polished to a shine; the feeling you get looking at them is one of 
<b>trust<\b>, that is, these talons will not only never harm, they will also 
always <i>defend</i> you."
location = painting
;

hornsp: Component 'gracious jeweled curved horn*horns' 'horns' 
"[Still to be described]"
location = painting
; // FINIS RED

// GREEN (MIYAI) GIRL
greenGirl: Component 'right blonde green dress dressed winged angelic female
girl/angel/Miryarai/Miyai' 
'girl in green'
"<<first time>><<etuye.luvkno++ ? "" : "">><<only>> Examining carefully the 
portrait of the angelic girl in green, she seems in her 20s; \"seems\" 
because she has a feature whose alone place her outside, if not 
beyond, human standards: her prominent and really beautiful white-feathered 
wings.\n
The spreaded wing's feathers are long and very well groomed, and these wings 
alone compensate the lack of halo in her definitively angelic appareance. \n
she's the tallest of the trio, with an aura of litheness, notwithstanding 
her abundant bosom, only slighty smaller than the other two's breasts, and
her aqua eyes project an aura of accomplishment and strong will to protect 
and assist the other two, underscoring and reinforcing the nonverbal message 
sent through her embracing spread with her right wing.\b
Her dress is simple, but elegant, more like a tunic than a dress, and the 
silver trimmings have a delicate pattern of swirles, and a discreet fabric 
belt is tied at her waist; the simplicity of her attire extends also to the 
only jewel she sports, a simple, unadorned silver circlet on her head.\n
The level of detail of the painting even depicts some bends and shadows on 
the dress suggesting that her left leg is slighty forward.\b 
Instictively, you whisper \"<i>Miryarai... Miyai, my darling..</i>\". You 
realise that you have uttered her name, nickname and... \"my darling\" ? to 
an angel ? Why ?"
location = painting
;

// DETAILS

circlet: Component 'plain simple silver circlet' 'circlet'
"Looking at the silver circlet, you admire how is the epitome of 
simplicity: a plain band, without embossures, carvings, incisions, 
its contrasting colour discreetly giving more beauty to her long, straight 
golden hairs."
location = painting
;

belt: Component 'discreet narrow green fabric belt/obi' 'fabric belt'
"this narrow fabric belt around the angelic girl's waist share the same 
shade of green of the dress, becoming very unconspicuous, has no belts 
nor knots: you suspect that is tied behind her back, like a japanese 
obi."
location = painting
;

// ATTRIBUITES

//mwings: Miyai's wings
mwings: Component 'angelic beautiful white dazzling feathered wing*wings'
'Angelic wings'
"These white wings, beautiful and with feathers of a dazzling whiteness, are 
<i>definitively</i> angel's wing, albeit the green-dressed girl don't have an 
halo. But what mystify you is the spreaded right wing, and the will to 
protect the other two, the elf in the middle and the <b>demon</b> at the 
left. you can't fathom the concept of an angel willing to protect a demon, 
and frankly, you don't have the luxury of delving into an hours-long 
scholastic eculubration on that." // jab on scholastic debating...
location = painting
;

featherp: Component 'white candid angel\'s white feather*feathers'
'white feathers'
"The white feathers of the girl in green are depicted with an amazing detail, 
you can easily discern the barbs of a single feather, to the point that you 
can even count them."
location = painting
;// FINIS GREEN

// AQUA (ETUYE) GIRL TODO: dress, hairs, eyes, 
aquaGirl: Component 'centre central pink hair pink-haired aqua dress dressed 
female girl/elf/Etuye/Alasne' 
'girl in aqua'
"<<first time>><<etuye.luvkno++ ? "" : "">><<only>>You gives more attention to 
the aqua-dressed centre girl, whose body seems, for what matters, in her 20s, 
but you seriously doubt that human standards of age can apply to elves.\b
She don't wear jewels, aside a garland of flowers and twigs on her head, 
topped with a long and narrow leaf, like a plume.\n
The aqua colour of her dress at first glance seems clashing with the purple 
of the hair, until you notice that around the neck and shoulders the colour 
of the dress changes slowly toward a more matching very light indigo.\b
Whatever angle you look at her hair's colours, the pink colour remain the 
same 
of the hair you now have. Also, you notice that the hairs in the painting are 
slight shorter than your hair. Her eyes have another non-human colour, 
purple. Also, these eyes project an aura of fullfillment of a very deep love. 
<<first time>>\nFullfillment of a <i>deep love</i> ? for <i>who</i>? You're 
at a total loss in answering this question; but is unquestionable 
that these eyes are eyes in love..<<only>>\b
The most evident non-human feature, these long, pointy ears, form the shape 
of narrow right isosceles trangles, the lower side curving graciously toward 
the upper.\n
Her face has an inhumane beautifulness, and you wonder if she's beautiful 
also by elven standards. Looking at the breast depicted, notwhistanding the 
unusual perspective you have on your side of the comparision, you admit that 
indeed these depicted breasts looks identical, in shape and size, to the 
breast of this body."
location = painting
;

garland: Component 'woven garland' 'garland'
"The garland is carefully woven from twigs, leaves and flowers, and is topped 
by a long, plume-shaped leaf: An ornament fitting the typical narrative 
about Elves."
location = painting
;

leaf: Component 'topping leaf/plume' 'leaf'
"This long leaf, dark green with streaks of shades of blue here and there,  
tucked on the garland is so similiar to a plume, to the point that can be  
mistaken for a real plume.."
location = painting
;

earsp: Component 'pointy aqua elfin girl\'s elf\'s ear/ears' 
 'aqua girl\'s ears' @painting
 "These long pointy ears extends outward for a good six inches, using human 
proportions; their upper rims are straight, and their lower rims tapers with 
gracious graduality toward the upper rims, joining at the pointy end.\n
for sure she don't sleep on her side, you idly mused."
;// FINIS AQUA

// of course, to be improved and adprosed, mainly re. alfakno and relkno
bracelets: Component 
'painted depicted painting bracelet*bracelets' 
'bracelet in the painting'
"The three bracelets, are depicted in all the very fine details, included the 
carved inscription, with an uncanny realism, and are definitively, together 
with the trio of girls, the main subject of this depiction.\n
All three are identical, and comparing the depiction with the bracelet on 
your wrist, is without doubt that <i>IS</i> the same one."
location = painting
;
// for now, let's do the non-ambiguous details:
// garland, leaf (etuye) circlet, belt (Miyai)



//TODO: flesh the loc.
umezz: Room 'Under the mezzanine' // temporary
 "The eastern third of the living room, under the mezzanine, is a more cozy, 
even intimate, space, dominated by a tall mirror hanging at the centre of the 
eastern wall. \nYou can return west to the high-ceiled part of the living 
room.
<<if mirror !=described>>\n <i>Looking at this mirror should confirm or, 
hopefully, deny my current <b>unusual</b> appareance...</i><<end>>"

west = living
;

// The mirror is important because, well, give the final, decisive proof 
// that the PC is indeed the pink-haired, purple-eyed, pointy-eared Elf named 
// Etuye Alasne, "officially" starting the early game.

mirror: Fixture 'framed mirror' 'mirror' @umezz
 "You look back at your mirror image: of course it remain the same, but what 
you actually are looking for are more details on that body. The breast is 
indeed of the same shape and size of the elf depicted in the painting, The 
pink hairs is now actually slightly longer, and the very fine traits give you 
an exceptional beauty... far surpassing human standards. On having only 
human standards of reference, the lack of signs of the passing of time has 
absolutely no meaning: all lore attribuites really long life to elves, so 
it's impossible to estimate this body's age, can easily be twenty, fifty or 
one hundred years, even centuries.\n
In a bout of idle curiosity, you tried to move your pointy ears, and with 
surprise, you quickly easily manage not only to swing your ears forward and 
backyard, but also slightly upward and downward, and even move them 
separately ! you giggle when experimenting in doing funny \"elf ear poses\"."
// to be perfected until the very last !!
// Idea: more than one "funny thing" in front of the mirror ?

initDesc () {
	etuye.bodykno = 1;
	etuye.wonder = 1;
 "You're astonished in seeing your mirror image, up to actually moving your 
head and hands to be completely sure that what you see is <b>really</b> your 
reflected image: Indeed your body now is not only a female body, but also 
an.. Elf body, complete with long, pointy ears protruding outwards!\n 
On top of this shocking confirmation, not only the pink hair colour, but also 
the purple eye colour, fine facial traits and physique are identical with the 
middle girl depicted in the painting in that living room, leaving no 
reasonable nor unreasonable margin of doubt that the body you now are 
<b>in</b> is the very same of the middle girl depicted in the painting in the 
other room.\n
But, there's the question, <i>Who are these other two girls?</i> and, more 
importantly,  
<i><b>Who</b> am I <b>now</b> ?? </i>\n
In this moment of overwhelming confusion, you spontaneously murmur a word.. 
no, actually two word:\b
<b><i> Etuye Alasne </i></b>\b
You felt that this the name of this body. <i>An elfin body, and a female 
one, on top of it!</i>";
// to be perfected until the very last !!

}

isInInitState = (!described)
;

// later the dining room will be named "eating room", as is called in the
// isekai world. Hence the ?
eating: Room 'Dining room ?'
 "You feel unsure about the usage of this room; there's a large, very low 
table at its centre, reminiscent of Japanese tables, with cushions around 
and, on the northern wall, between the archway leading back to the 
living room and the eastern wall, is a cabinet. On the southern wall, there's 
a large sideboard<<first time>>; All those furniture together hints that this 
room should be a dining room of some sort..<<only>>. 
\n 
On the basis of the furniture around, you tentatively call this room the 
dining room, albeit deep inside you, there's a hunch that isn't a precise 
term.\n 
West you spy a corridor, and north, thru the archway, you can return back to 
the living room."

north = living
west : OneWayRoomConnector {-> corrN travelBarrier = [paintbarrier, 
mirrorbarrier ]}
;

// for the "eating with Azuj" scene, this will became a supporter
Decoration 'large/very/low/japanese table/kotatsu' 'large table' @eating
	"It's a large and very low table, reminiscent of Japanese kotatsu, 
	without warming, but with cushions around."
;

// later, when I implement an eating/talking together scene, obviously the 
// cushions became chair items...
Decoration 'comfy cushion/zabuton*cushions' 'cushions' @eating
	"The cushions are all around the large table, like zabuton around a 
	kotatsu; looks very comfy, but you have other priorities..."
isPlural = true
notImportantMsg = 'You have more pressing matters than fooling around with 
cushions.'
;

// ecabinet = Eating room cabinet.
ecabinet: OpenableContainer, Fixture 'large cabinet' 'cabinet' @eating
 "This cabinet is a large one, slightly taller than you (but <<etuye.bodykno 
<2? "this":"your">> new body is a tall or short one ?)\n
<<isOpen ? "Sadly, the inside is empty..\n":"">>"
lookInDesc = "searching the empty cabinet predictably wields nothing."
;

sideboard: Surface, Fixture 'sideboard' 'sideboard' @eating
 "This sideboard don't have drawers, but on its top is carved a pair of trays 
containing some strange cutlery, combination of western and eastern"
;

trays: Component, Surface 'tray*trays' 'sideboard\'s trays' @sideboard
 "The trays of the sideboard are carved and not too deep, with gently sloping 
sides. "
isPlural = true
;

cutlery: Thing 'strange cutlery' 'strange cutlery' @trays
 "These cutlery is strange; The majority looks like a combination of eastern 
and western cutlery: chopsticks with either a two-prong fork or a narrow 
spoon on the opposite tip."
isPlural = true
;


corrN: Room 'North end of a corridor'
 "You are at the north end of a corridor continuing southward.\n
 East you can enter<<if !eating.seen>> what you suspect is<<end>> a sort of 
dining room, west you can enter a tiny, narrow parallel hallway leading to a 
pair of other rooms; Lastly, of course, you can also return to the living 
room north of here."

north = living
south = corrC 
east = eating
west = thall // tiny hallway.
;

// here nature WILL call !!
corrC: Room 'Middle of corridor'
 "Here in the middle of this corridor, two door leads one west<<if 
bed.seen>> to the master bedroom<<end>> and the other east<<if 
dressing.seen>> to a combined dressing and drawing room<<end>>, and south the 
corridor ends into a relatively large space."
east = dressing
west = bed 
north = corrN
south = corrS
;

corrS: Room 'South end of the corridor' 
 "The south end of the corridor ends with a door leading south<<if 
houstor.seen>> to a storage room<<end>>, and another one leads west<<if 
commlab.seen>> to a magical laboratory<<end>><<if dressing.seen 
&&bed.seen>>.\n
The lack of an eastern door is easily explained: the dressing and drawing
room is larger than the bedroom<<end>>.\n
North you can return to the centre of this corridor."
north = corrC
south = houstor
west = commlab // common laboratory
;

thall: Room 'Tiny hallway'
 "This tiny hallway connect three rooms: east to the corridor from where you 
came, south,<<if relief.seen>> to that... relief room ? <<end>> and west<<if 
kitchen.seen>>, to the kitchen<<end>>."

south = relief
east = corrN
west = kitchen
;

// now bravely implementing the relieving room..
relief: Room 'relief room'
 "You are initially puzzled about this room: there's a pair of facing 
seats on the northern and southern wall, under which are some pots, and 
between those seats is a narrow inclined slit leading outside under the 
west wall; but you quickly realize that is a loo, the inclined slit being 
used for urinating and the seats are actually \"thrones\" for, ahem, 
defecating.\n
The unusual, somewhat archaic, means for relieving led you to call this 
rather dry toilet \"relief room\". Strangely, you feel that this term is the
correct one.\n
From the furniture, you get also the definite impression that physiology 
follows <i>too</i> universal constants<<if etuye.relieved>> ...and indeed 
there are constants !<<else>>, but you don't feel the haste of discovering 
<b>how</b> elfin relieving actually is...<<end>> 
<<if etuye.needLeek>> albeit now you are by nature bound to discover, soon 
and in the most close and personal mean ever, actually <i>doing</i> it, 
how is the elfin relieving !<<end>>\n
Anyway, <<if etuye.needLeek>>there is <b>where</b> you can satisfy this 
body's need of, well, relieving..<<else>>the lone immediate relief you can see 
is the exit north, back to the hallway."
north = thall

roomBeforeAction()
  {
	if (azujRelief.isActive&& !gAction.ofKind(SystemAction)
&& !gActionIn(Look, Examine, Wait)) {
		failCheck ('Better staying here with Azuj..');
	}
}

roomAfterAction {
  if(etuye.needLeek /* !gActionIs (piss)*/ )
"\bAssessing the new, natural but in unusual circumstances, problem at hand, 
This body is a female one, and elfin feminine parts seems not different from 
human ones, and women sits on toilets, but these stools are clearly designed 
for defecating, when this slit on the floor, between the stools, looks 
clearly designed for this female body's current.. ahem, <i>need</i>.\b
You mentally make a list of the steps needed for doing a feminine relieving 
in a squat posture, or, to be more honest, a list of all what can go wrong, 
from falling forward from being unaccustomed to having an abundant breast to 
embarassing stains on your legs, or, worst, on this skirt, not forgetting the 
classical \"out of vase\", and you even take in consideration \"holding 
back\", but in the end, you admit that when braving a new environment with a 
totally different body is wise to get rid of physiological distractions; this 
brief, passing, thinking about what can lie in this unknown environment is 
enough to slightly raise the pressure below, a sensible encouragement to 
bravely commit to do this relieving sooner, even now..."; 
}

travelerLeaving (traveler, dest, connector) {
  inherited (traveler, dest, connector);
	if (etuye.relieved)
"<<first time>>Prior of leaving the relief room you contemplate the 
scene of your female elfin relieving, a relieving whose not only was 
definitively not a maiden relieving, having done it with a graceful 
naturalness, as you have always urinated in this manner. Even when wiping 
that most intimate point, you haven't minded that inevitable little spark of 
pleasure from the swiping, only welcoming and savoring that brief moment..\n
Putting an hand on your breast and the other between your leg, not much for 
feeling the most feminine parts of the body than for the feelings you have 
<i>about</i> it, you realise with amazement that you feel this body 
<i>as your own body</i>. No desire, no lecherousness... Simply, how 
to say, <i>I feel this body as mine. <b>Is my body</b></i>. I remained for 
some moments, eyes closed, in this position, in an intimate acceptation of 
this strange, imperscrutable realisation that I felt this body,a female 
and elf one, as <b>my</b> body.\n
Reopening the eyes, you pass the hand on breast on the laces of the 
bodice and the hand between the legs along the skirt. Your 
relationship with this body is changed, now you perceive this body as your 
body: if you ever unlace your bodice or raise the skirt up, you're confident 
that there will be same naturalness...<<only>>";
	else if (etuye.needLeek)
"You feel strangely sure that this elfin body can hold back well, enough for 
a little more strolling around, but in the end, sooner or latter, is best 
avoid the embarassment of wetting.";
}
; // relief room

// toilet matters, 4 auto-lastplace in the IFComp... if actually entered.

reliefodor : SimpleOdor 'room/relief' 'stench' @relief
desc = "<<if piss.isIn(slit)>> The odor from your \"watering\" surprisingly 
isn't unpleasant, albeit remains true that is a strong odor.
<<else if pissgone.isIn(relief)>><<one of>>The strong odor from your recent 
\"activity\" is already gone: Clearly, was a very volatile odor.<<or>>The 
strong odor from your recent \"activity\" is already gone: Clearly, was a 
very volatile odor.<<or>>Notwithstanding the \"activities\" for 
with this room is obviously designed for, there's no stench.<<stopping>>
<<else>>Notwithstanding the \"activities\" for 
which this room is obviously designed, there's no stench.<<end>>"
isAmbient = true
;

seat: Chair,Heavy 'seat/throne/stool*seats*thrones/stools' 'seat' @relief
"You cannot say if the \"thrones\" are of wood or stone; indeed there's 
woodgrains but the azure colour of said grains on pale green isn't a wood 
colour you know; on the top, beside the sitting hole, some leaves are neatly 
stacked on one side, and a slight less neat stack of booklets on the other 
side.\n  
The hole and the opening for the collecting pot lack covers; this detail 
unsettlingly points to you that ..perhaps.. whatever is that place you're 
now, here crap and crapping aren't considered embarassing; but you honestly 
don\'t feel an haste for discovering how elves piss or crap...\n 
On the lack of embarassment, also, the pair of thrones are facing one in 
front of other, conjures the mental picture of evacuating in front of a 
daemon or an angel, perhaps also engaged in evacuation, is definitively 
an unsettling one, but not unsettling as the subsequent mental picture, of a 
daemon and an angel relieving together their bowels, one in front of the 
other...\b
<b><i>You wonder if even Thomas, Saint and Doctor of the church, can actually 
deliver in a scholastic debate a sound argument about these mental 
pictures... </i></b>\b"
// first jab on scholastic debate and Thomas Aquinas..
;

// The manga, starting the alfakno quest. And giving some background, albeit
// the PC is wary of their fiction content.

manga: Fixture, Readable 'toilet stack light illustrated 
manga/comics/booklets/literature' 
'illustrated 
booklets' @seat //@seat tmp 4 test
 "You give a cursory look at these booklets: are illustrated comics, done 
with woodcuts; the trait is very fine, like a modern manga; for where they 
are, when they are read is painfully obvious.\n 
<<if etuye.alfakno < 1>>But suddenly a lightbulb shine brightly in your 
mind: <i>these are 
illustrated, and the text should be simple, if reading those give at least 
some understanding of those glyphs ?</i><<end>>" // start of alfakno quest
readDesc {
 "You sit on one of these seats, and start reading these manga-like 
booklets; surprisingly, you learn (or recover from deep inside this elfin 
mind ?) much more than expected: some of these \"manga\" are written with 
rather angular glyphs, and you relatively easily figure a great part of 
these glyphs; the rest are written with quenya-like cursive glyphs, and you 
figure only a sizeable percentage of those glyphs; both written languages 
are an interesting mix of syllabic and ideograms, many of the latter being 
more akin to tironian notes than Chinese ideograms, with an ample variety of 
diacritic symbols.\n 
Also, these manga-style booklets consistently depict a rather diverse and 
very different, even alien, society and culture, albeit one can't take 
seriously illustrated fictions like, for example, that one about two sisters 
breastfeeding each other, both not having children, a decidely fantastic 
scene.\n
<<inputManager.pauseForMore(true)>>
But, for sure, in those narration and depictions are so many common elements, 
that you can't honestly dismiss all as fictional, how unbelevable are:\n 
A large diversity of sentient species, flying and non-flying, magic as 
commonplace, and is even depicted as natural and normal doing physiological 
activities without privacy !! but... the latter element, you grudgingly 
admit, is consistent with this relief room, without doors nor partitions.\n
For sure, is definitively non-fiction that the simpler, angular scripting is 
called the 'demonic' and the complex, quenyish scripting is the 'lingua 
franca', and that there's characters with the same <i>peculiar</i> traits of 
the trio in that painting, wings, horns, pointy ears, and so on.. and 
<b>IS</b> a fact that these pointed ears I currently have are real;
<i>Somewhere around this place should be also non-fiction texts.. but for now 
let's attempt reading what is inscribed in this bracelet...</i>";
if(!etuye.relieved)
  "\bLacking chronological references, you don't have an idea of how many 
time you have spent in reading those booklets, but, this <i>Was bound to 
happen</i> anyway, sooner or later.\n
Notwithstanding the strangeness of this body, of a female elf, you quickly, 
if not instantly, reckon the the signal from the lower part of this body, 
around the pelvis, as the one signalling <i>that</i>.\n
<<inputManager.pauseForMore(true)>>
<b><i>The \"Call of Nature</i></b>\".\n
You ought to have expected it, after all: This body was unconscious for a 
long time, then you have wandered around for some time, then, you sit here, 
reading, you hope, proficiently these booklets, time when this body's 
elfin physiology, evidently not much different from human one, continues to 
do its duty; You now reckon that not only there's physiological constants of 
life, but also that one of these constants is the need of <i>relieving</i>..\n
<b>Great</b>. Now I must take the leek this elfin body now needs... At least 
I'm already \"in the right place\", so to speak...\"";
etuye.needLeek = true; // toilet literature, indeed...
etuye.alfakno = 1; // can read the first line of the bracelet.
// the PC must piss prior of going up, and its fuse is reading the booklets, 
// the two lines below are redundant, o&o starting already in place ?
oath.moveInto(office); // now the PC can (very barely) read the plaque
obligations.moveInto(office); // in the office at the upper floor.
}
initSpecialDesc = "On one side of these seats is a slightly uneven stack of 
booklets."
cannotTakeMsg = 'Better leaving these booklets here; seems that this "relief 
room" is shared with two other women, and you prefer avoid discovering their 
reaction in not finding their toilet literature... 
<<if etuye.alfakno<1>>\n<i>but is also <<etuye.bodykno <2? "this":"your">> 
body\'s toilet literature ?</i>'
// an hint toward the alfakno puzzle
isPlural = true
;

Decoration '(shining) brass collecting pot*pots' 'pot' @relief
"Understandingly, because of their evident usage, you approach carefully one, 
then the other of the collecting pots, and you're relieved, mentally of 
course, in finding that are clean of content and odor.\n
Anyway, they are of brass, and shining on both outside and inside. The latter 
detail is somewhat disqueting. <i>who has the cleaning duty here ?</i>"
// Azuj will answer this later....
smellDesc = "you cautiously sniff from a safe distance, then dared to smell 
nearby: no <i>peculiar</i> odors; indeed is a pot literally shining clean."
;

slit: Chair,Heavy 'inclined narrow (piss) slit/loo' 'slit' @relief
"The slit is very narrow, three or four inches, and more V than U shaped, 
with white walls of porcelain, or a porcelain-like material, and markedly 
inclined toward a hole on the west wall, and frankly, you don't have much 
curiosity on the path beyond said hole. It's very clean, probably thanks to 
its walls, inclination and shape, because you can't see around any means for 
flushing."
smellDesc = "<<if piss.isIn(slit)>> You smell the slit; Surprisingly, the 
odor of your piss, still flushing out thru the slit, isn't obnoxious; you can 
define it a very strong odor, but not enough to be called 'stench'.
<<else>>You sniff with trepidation the slit; no obnoxious odors. perhaps 
its design is really well-thought.<<end>>"
;

// abusing the poor candle class in a definitively unusual manner
piss: Candle, Immovable 'your my elfin (etuye\'s) piss/urine' 'piss'
desc () {
  switch(fuelLevel) {
	case 0:
	 "Nearby all of your piss has gone out thru the hole in the west wall."; 
	 break;
	case 1: 
	 "somewhat more than half of your piss has disappeared out thru that 
	  hole at the end of the slit under the west wall.";
	break;
    case 2:
      "somethins is wrong.."; break; // seems not reached; rm this ?
	default:
	  "de Fault note that something got horribly wrong";
  }
}
fuelLevel = 2
brightnessOn = 0 //piss, even elfin, don't give off light..
// rosa,rosae,nomen omen...
smellDesc = "You dare to smell your elfin piss: surprisingly, the odor isn't 
obnoxious; you can call it a strong odor, but definitively isn't a stench."
// too obvious, perhaps even stupid, pun...
tasteDesc = "let's kept this a tasteFUL interactive fiction...."
sayBurnedOut()
  { "The piss disappear completely into the hole on the west wall. Without 
	flushing; this slit is definitively a well engineered one.";
    moveInto(nil);
	pissgone.moveInto(relief);
  } 
;

// the unthing for the flushed-out piss
pissgone: Unthing 'your my elfin (etuye\'s) piss/urine' 'piss'
'Your piss is thankfully no more around, thanks to this very well designed 
slit.'
;
// the unthing for the little used leaf mystery
// possible disamb clash with the component below ?
uleaf: Unthing 'your my etuye\'s used leaf' 'used leaf'
'You look around for your, ahem, used leaf; amazingly, you can\'t find it. 
but you remember that you placed it on the floor, beside the slit. you\'re 
not only baffled by this, but also feel a strange warming on your shoulders.'
;
// for cleaning, automatically used and automagically removed :D
// (Azuj will teleport out of picture her used leaves (whose showed the, so 
// to speak, usefulness of taily..))
Component 'cleaning large smooth leaf*leaves' 'leaf' @seat
"From where are, the cleaning usage of those large and smooth leaves is 
<i>too</i> obvious; you don't know zilch about botany, but you are sure that 
you never seen leaves of that shape and smoothness."
;

/* TODO: desc of pans (not only round or square..) and pots (hanging above 
 * the range for a sort of "pre-heating")
 */ 
kitchen: Room 'Kitchen'
 "The general impression of this kitchen is of an early-to-mid'800s kitchen... 
aside that on a raised surface on the north wall are five.. no, six, glowing 
flat stones, like solid lava, at various levels of orange-red hot.\n
Aside these strange stones, there's cabinets on the eastern and western wall, 
one standing out, glowing with a bluish shade, somewhat phosporescent, and on 
the south wall is a sink, and above it, hangs an assortment of frying pans; 
in the middle of the kitchen are a pair of tables and, above these strange 
glowing stones, diverse pots are hanging.\n
East you can return to the hallway."


roomAfterAction {
  if (refrigerator.described && stones.described && etuye.infrakno == nil)
  {
	etuye.infrakno = true;
	"\bif cold objects are seen glowing bluish and warm ones are seen with a 
reddish glow, you concluded that indeed <<etuye.bodykno <2? "this":"your">> 
elfin body's eyes has also infravision, that is, seeing strong cold or strong 
heat as colours.\n";
  }
} 
travelerLeaving (traveler, dest, connector) {
  inherited (traveler, dest, connector);
	if (refrigerator.isOpen) {
	 refrigerator.makeOpen(nil);
	 "Prior of leaving the kitchen, you close that cabinet-refrigerator; 
better avoid spoiling those natural food...";
	}
}
east = thall
;

Decoration 'wooden (preparation) table*tables' 'tables' @kitchen
"Not much to say about those wooden tables; clearly are for food preparation, 
as the small scrapes on the surface points."
;

Decoration 'stone tapless sink/basin' 'sink' @kitchen
"This should be a sink, if has taps and discharge, and here are no taps nor 
discharge, a simple stone basin. Surely is filled with a bucket, but how is 
emptied, is a mystery... [because the water is teleported in from 
the pond and out to somewhere tbd]\n
Anyway, is empty."
;

// the stones of course are also surfaces, for the cooking scene.
stones: Surface, Fixture 'flat glowing red hot range/hearth/stone*stones' 
'glowing stones'
@kitchen
"You look more carefully at the glowing stones; you notice that the glowing 
is different between the six stones; you put your hand nearby them for 
feeling the heat of the stones, you indeed notice that the heat from each 
stone is different, the less glowing ones being also the least hot, and 
specularily, the more glowing ones being also the hottest.\n 
You concluded that those stones, placed as are, on a raised surface, form a 
sort of cooking range, albeit this don't answer the question of how and why 
those stones are hot.\b"

// for people whose insist that touch and feel should be synonyms... :P
touchDesc = "touching those glowing-hot stones <b>is</b> a really unwise 
thing to do..."
feelDesc = "You spread your hand toward the stones. On your palm you feel the 
heat radiated from those stones. The difference of heat of the single stones 
precisely correspond to their difference in glowing."
;


refrigerator: OpenableContainer, Fixture 
'cold blue bluish glowing glow refrigerator/cabinet*cabinets' 
'cold cabinet' @kitchen
"Feeling toward the glowing blue cabinet, you feel a substantial cold, 
like that is.. a refrigerator ?\n 
With some trepidation, after all, it seems that here lives also a daemon, you 
cautiously open the cold cabinet, and indeed the inside is cold as a 
refrigerator, with a stronger blue glow whose more than compensate the lack of 
an internal lightbulb, and the content seems normal, for what can be 
considered normal: you can't recognize any of the diverse foodstuff inside, 
barely the approximate type: vegetables, dairies, some meat, all totally 
different from all foodstuff you know; is this indeed another world ?\n
You notice also the lack of industrial-packed ingredients and goods; all are 
natural produces; but in all this natural-food galore, you notice the absence 
of milk, albeit you reckon that is the proverbial very short shelf life 
foodstuff. If this is another world, this is also a pre-industrial world ? 
but this <b>is</b> undoubtely a refrigerator..."
lookInDesc = "You rummage around the foodstuff; you cease to try to catalogue 
the vegetables around the tenth or so variety, but you manage to find some 
vegetables whose perhaps are properly fruits, and indeed there's some 
meat, but no eggs, albeit you found some cheese."
openStatusReportable = nil
// the absence of milk is because, well, the trio of well-bosomed spouses 
// share together their life-sustaining permanent lactation in a perfect 
// balance, a single breast from the other two for the third, "one for all 
// and all for one" Of course, either by absence or excess, the cheese came 
// from those breasts..
// the lack of eggs is because Azuj, being ovovivipary, has, understandbly,
// instictive qualms about eating eggs...
;

//to be largely polished and improved.
bed: Room 'Master Bedroom'
 "This spacious bedroom is evidently the master one; its centerpiece is an 
huge bed, placed in a rather unusual manner: instead of being placed 
against the wall by a side, is placed by a corner, and has no headboard, and 
has no mattress, but on its top is something resembling a Japanese futon.\n
West you can return to the corridor."

roomFirstDesc () {
 etuye.luvkno++ ; // the luvkno var has independent increases
 "This spacious bedroom is evidently the master one; its centerpiece is an 
huge bed, big enough for four people...\n
or <b>for two winged people and a wingless one!</b>\n  
After this realisation, you fought really hard to banish from your mind the 
surreal mental picture of three females, a demon, an angel and an elf sharing 
together the same bed... albeit that mental picture gives you an unexpected 
warm inside your chest and tender feelings of.. <i>love</i> ??\n
Anyway, the bed is placed in a rather unusual manner: instead of being placed 
against the wall by a side, is placed by a corner, and has no headboard, and 
has no mattress, but on its top is something resembling a Japanese futon.\n
West you can return to the corridor.";
}
east = corrC
;

bed4three: Bed, Heavy 'huge big triple matrimonial master bed/futon/tatami' 
'master 
bed' @bed
"This huge bed, placed in a seemingly awkward manner, with a corner instead 
of a side, against the southern wall, is actually a rather hefty monolithic 
block of some sort of stone-gray wood, without headboard, topped by a mat 
rensembling a japanese tatami, on which lies haphazardly a thin duvet, half 
turned out."
nothingUnderMsg =
	'The bed is a monolithic bloc, and hasn\'t an underside. You seriously 
wonder how was carried here.' // by reverse technology, of course.

// tests taken from SquCircle: thanks, Eric !!
// kept because of the ~45' needed for figuring the correct usage. 
performEntry (posture)
{ inherited (posture);
	if(posture == lying)
	"You try the bed, lying on it; isn't uncomfortable";
	if(posture == sitting)
	"You try the bed, sitting on its side; the bed is comfortable.";
}

makeStandingUp()
{ inherited;
	"You stand up from the bed. You notice that you are steadly accustoming 
	to this elfin female body.";
}
;

duvet: Decoration 'thin duvet' 'duvet' @bed
"This duvet, haphazardly thrown on the top of the tatami mat, is rather thin. 
Albeit of good, if not excellent, quality, has all air of being used only 
occasionally." //tb improved.
// actually the trio, thanks to the two pairs of large wings, don't need much 
// warm bedding, but with the two winged member of the trio out at work, 
// Etuye, being alone @home, accustomed to sleep naked (as the other 
// two..) thrown this duvet over her.
;

mat: Decoration 'japanese bed mat/tatami' 'bed mat' @bed
"The mat is very clean, somewhat stiff, like a tatami, but is soft enough to 
be comfortable."
;


dressing: Room 'Dressing and drawing room'
 "This large room is mainly a dressing room, and indeed there's three large 
wardrobes, and a pair of drawers, but also serves as a drawing room, and 
there's a table with chairs, and what resembles a chaise longue."
// the "chaise longue" is actually an armchair designed for winged people..
// the three wardrobes are obviously one for each spouse; one drawer is 
// related to the dressing room, shared between the trio,  
// and the other is related to the drawing-room role.
west = corrC
;

chaise: Chair,Fixture 'chaise armchair/chaise/longue' 'chaise-longue' 
@dressing
"this sort of armchair rensemble a chaise-longue, with its sloping 
backrest, which perhaps is more correctly a \"wingrest\". <i>Makes sense, 
after all</i>... ?" 
;

table: Fixture 'gaming (game) table' 'gaming table' @dressing
"This table has on its surface a pattern of squares and circles 
interconnected by lines, clearly for some sort of game."
;

// obvious reference to the First Maze...
pattern: Component 
'interconnected connected twisty little intricate pattern*squares*circles' 
'pattern' @table
"There's 22 squares and 14 circles interconnected with an intricate pattern 
of twisty little lines, all alike."
;

// homage to FF
ribbon: Wearable 'red velvet ribbon' 'red ribbon' @dressing
    "a red ribbon, made of a sort of velvet, slight more than 
	an inch wide and around six inch long."
    actionDobjWear()
    {
      inherited;
      "curiously, you feel the strange fantasy of being now protected against 
      poison, paralysis, petrification, being turned into frog or shrinked 
	  into very small size, doomed to die in few minutes, among many other 
	  bizarre and definitively improbable occurences...\n
      A \"<b>Fantasy</b>\" so bizarre and strange, that perhaps is a 
	  \"<b>Final</b>\" one. "
      ;
    }
;

// NOTE (see also below on drawers) that the PC initially can't know in 
// advance what wardrobe is what.
// searching the wardrobes will led to ID which is which of the "winged" 
// wardrobe, and for the PC, finding her marriage dress.

Mward: OpenableContainer, Fixture 'northern (Miyai\'s) wardrobe*wardrobes' 
'northern wardrobe' @dressing
"<<one of>> Opening the northern wardrobe, you notice that<<or>>Miyai's 
wardrobe<<stopping>> is full of dress, skirts and other dresses, nearby all 
are tunics or simple long dress, and many of the footwear are sandals.\n
Not only these are the classical garment of an angel, but all project an 
impression, even an aura, of peace and helpfulness.\n 
Obviously is the wardrobe of that angelic girl, Miryarai. As a confirmation, 
all upper garments here have telltale cuts or openings on their back, clearly 
for wings.\n"
lookInDesc = "The majority of the dress are either tunic-like or long dress 
and many footwear are of the sandal type, that is, what actually one can 
expect to find in the wardrobe of an angel-winged young woman; Then you noted 
the silver-trimmed green dress she wears in the painting. no mistakes nor 
doubts, this IS the wardrobe of that angelic woman."
openStatusReportable = nil

dobjFor(Examine)
   {
     action()
     {
       inherited;
/* Thanks to the common plural in their VocabWords, makeOpen, when applied to 
all wardrobes, opens ALL three wardrobes.. so, on paper, only one makeopen 
suffice, but for safety, let's cutpaste makeOpen on all three relevant 
dobjFors.. */
	   makeOpen(true);
       changeName();
     }
   }

dobjFor(LookIn)
   {
     action()
     {
       inherited;
       changeName();
     }
   }

changeName()
  {
    name = 'Miryarai\'s wardrobe';
    initializeVocabWith('Miryarai\'s Miyai\'s wardrobe*wardrobes');
  } 
;

Mgarment: Decoration 'Miryarai\'s Miyai\'s angelic girl\'s 
dresses*skirts*garments*cuts'
'Angelic garments' @Mward
"All these dresses are simple, if not plain, but at the same time very 
elegant; their colours are mostly blue and green, with some white or pearly 
colour; the sandals are all natural leather, well cared."
;

MMdress: Component 'Miryarai\'s Miyai\'s angelic girl\'s green marriage 
dress' 'Miyai\'s marriage dress'
@Mward
"Her green marriage dress is simple, but elegant, more like a tunic than a 
dress, and the silver trimmings have a pattern of swirles; the fabric waist 
belt hangs around the shoulder of the hanger."
isProperName=true
;

Award: OpenableContainer, Fixture 'southern (Azuj\'s) wardrobe*wardrobes' 
'southern wardrobe' @dressing
"<<one of>>Opening the southern wardrobe you find that<<or>>Azuj's 
wardrobe<<stopping>> is full of dress, skirts, some trousers and 
other garments, some you don't know, all upper ones having telltale cuts or 
openings on their back for wings, and, revelatory, all lower 
garments have an hole in the middle of their back; clearly there's a 
\"devil\'s (tail) in the detail\", and that wardrobe hosts the garment of 
that daemonic woman, Atuzejiki.\n"
lookInDesc = "Perusing the garments here, you find amidst the very varied mix 
of more or less sexy clothes, the red long dress worn by that daemon woman in 
the painting: unquestionably this is her wardrobe.\n
For a daemon, the footwear are normal enough to definitively exclude hoofs, 
but, on the other hand. not few holes at hind quarters height in practically 
all the lower garments, not only on trousers, but also on skirts, save the 
shortest ones, points towards the proverbial \"devil's tail\"."
openStatusReportable = nil

dobjFor(Examine)
   {
     action()
     {
       inherited;
	   makeOpen(true);
       changeName();
     }
   }
dobjFor(LookIn)
   {
     action()
     {
       inherited;
       changeName();
     }
   }
changeName()
  {
    name = 'Atuzejiki\'s wardrobe';
    initializeVocabWith('Atuzejiki\'s Azuj\'s wardrobe*wardrobes');
  } 
;

Agarment: Decoration 
'(Azuj\'s) daemonic girl\'s dresses*skirts*garments*trousers*cuts'
'Daemonic garments' @Award
"All these dresses are sexy, some more, some less, but at the same time 
practical; their colours are mostly red with some yellow, orange or violet; 
the footwear are mostly practical, somewhat larger and shorter, but 
definitively are foot-shaped."
;

AMdress: Component 'Azuj\'s Atuzejiki\'s red marriage dress' 'Azuj\'s 
marriage dress'
@Award
"Her red dress reach her ankle and has a large decollete, and has a damasked 
pattern of very narrow flametongues." // to be expanded.
isProperName=true
;

Wward: OpenableContainer, Fixture 'western (your) wardrobe*wardrobes' 
'western 
wardrobe' @dressing
"<<one of>>Opening the western wardrobe, you discover that 
h<<or>>H<<stopping>>ere the upper garments have no cuts nor 
openings on their back,<<first time>> meaning that<<only>> this is 
<b>your</b> wardrobe or<<if etuye.bodykno <2>>, to be precise, the wardrobe 
of this female Elf body now hosting you<<end>>.\n
You notice a little detail: there are few footwear, either elegant or formal 
looking; now you notice that you have walked barefoot for quite some time 
without realising it. <i>Elves here usually walk barefoot, or is a quirk of 
mine ?</i>. Then your train of thought derails. <i>A quirk of <b>mine</b> 
??</i>. You suddenly realise that the relationship between you and your 
current body is steadly becoming more and more deep than you initially 
surmised."
lookInDesc = "Browsing a bit around these garments you found the very same 
aqua dress depicted in the painting !"
openStatusReportable = nil

dobjFor(Examine)
   {
     action()
     {
       inherited;

	   makeOpen(true);
       changeName();
     }
   }
dobjFor(LookIn)
   {
     action()
     {
       inherited;
       changeName();
     }
   }
changeName()
  {
    name = 'Your wardrobe';
    initializeVocabWith('(western) your wardrobe*wardrobes');
  } 
;

Wgarment: Decoration 
'(Etuye\'s) elfin (your) girl\'s dresses*skirts*garments'
'elfin garments' @Wward
"These dresses are often two-piece, the large majority of the lower garment 
being skirts of various shapes and sizes; the few trousers looks rather 
tight; the colours are mostly light shades of purple, blue and green, clearly 
with an eye on your pink hairs and purple eyes. The few footgears are nearby 
all ankle-lenght, either elegant or practical low boots."
;

WMdress: Component 'Etuye\'s your aqua marriage dress' 'Your marriage dress'
@Wward
"The aqua dress at first glance seems clashing with the purple of the hair, 
but you notice that around the neck and shoulders the colour of the dress 
changes gradually toward a more matching very light indigo."
isProperName=true
;

trioDraw: OpenableContainer, Fixture 'first top drawer*drawers' 
'first drawer' 
@dressing
"The first drawer contains various sundry items more or less common to the 
trio.\n" 
lookInDesc = "Rummaging in the drawer, you note one of the least common 
item, the very same diadem entwined around the horns of the daemonic woman 
depicted in the painting in the living room."
;

diadem: Immovable, Readable 
'Azuj\'s Atuzejiki\'s diadem/stone/plaque/bundle*chains*stones' 'diadem' 
@trioDraw
"This diadem is basically a bundle of chains of gold links, with red stones 
at the connections between chains, and a large plaque at its centre."
cannotTakeMsg = 'isn\'t precisely a fine thing taking jewelry of other 
people; besides, it\'s a jewel designed for horns, and on your head will be 
rather awkward.'
readDesc = "<<if etuye.alfakno < 1>>You don't have an idea of how to read 
those angular characters, so you can't figure what is written in the 
inscription.
<<else>> <<first time>>Thanks to your gained (or <i>recovered</i> ?) 
understanding of the angular characters of the Daemonic scripting, you read 
the inscription: <<only>>\n'<b>To our sister and cousin Azuj, for her most 
happy moment ever of her soul</b>'.\n
On the backside are some daemonic names<<first time>>, obviously the 
ones<<only>> of the sister and the cousins:\n
'<b>Vasjiki, Zaqaljiki, Juzhejiki, Graxanjiki gifted this diadem to 
Azutejiki</b>'.\n Clearly, Jiki, \"Fiery\" is a customary name in her 
extended family...
<<if plaquep.described>>\nThere's no margin of doubt that this IS the actual 
diadem depicted in that painting; this imply that the painting depicts an 
event whose <i>actually</i> happened...<<end>>"
;
/* Azuj WILL fire a little comment about relatives, with her usual pride when 
her family and heritage is involved.. */


gameDraw: OpenableContainer, Fixture 'second bottom drawer*drawers' 
'second drawer' 
@dressing
"The second drawer contains sundry items related to the drawing room 
usage.\n" 
lookInDesc ="There's many game boards you never have seen, and wooden, 
metallic or stone pieces whose seems to be components of these strange board 
games."
;

gboards: Decoration 'varied various game board*boards' 'game boards' @gameDraw
"These game board show a variety of patterns and layout, some 
chessboard-like, some of interconnected geometric figures, but definitively 
unknown to you."
;

gpieces: Decoration 'wooden wood stone metallic game 
piece/miniature*pieces*miniatures' 'game pieces' @gameDraw
"These metallic, wooden or stone pieces are very varied: all of the stone 
and most of the wood pieces have abstract, geometric shapes, but the majority 
of the metallic ones are definitively miniatures, often painted."
;
/* 2imp:
 * tools (magi & mund), instruments, cauldron, sextant, uscope,
 * furnitures, the "coulor wheellock pistol" & its case
 */
commlab: Room 'common laboratory'
"You look around in amazement: at a first look, this seems a sort of XVIIth 
century natural philosopher's laboratory, but the not few the tools 
and instruments around here leave little or no margin of doubt: this is an 
<b>actual</b> magician's laboratory, from the cauldron in a corner to the 
lens floating mid-air passing for the, lacking better terms, unartificial 
glowing of some tools.\n
On a more mundane level, you recognise various types of scales, a sextant, 
and an antique microscope, and, bolted at an angle on a pedestal in front 
the floating lens, a surprising, borderline item: a gold plaque, with not few 
stones on it.\n
The furniture, of course, are what are expected in a lab: a large table in 
the centre, two workbenchs, a desk, a file cabinet and a storage cabinet.\n
East you can return to the corridor."

/* the pedestal and the lens form a magical comms device: can't be of 
help, re. storyline, but "calling" will led to little brief funny scenes 
(ex. one connected, with the house of Etuye's uncle-in-law.. 
Azuj side, more precisely that house's front porch (guess the cite ? ;) */

/* In a case will be a two-hammers, one trigger, wheel and barreled "colour 
wheellock pistol, together with its "flints", 3 primary, 3 secondary, black, 
white and transparent. Of course, is linked to a colour puzzle tbd, placed 
elsewhere in the IF" */
east = corrS
;

/* 2imp:
 * 4 joey: closet (search), general (adj. of storage), shelves, plant
 * 4 amanda: linen, sheets, general (!!), items
 */
houstor: Room 'Household storage room'
"This narrow storage room, between the flat northern wall and the rounded 
southern wall, has a plano-concave plan, giving an apparent crampness, 
reinforced by the shelves on the centre of the southern wall.\n
The eastern side is purposed as linen closet: There's plenty of 
folded futon-like mattresses, duvets, sheets there. The opposite side is 
a \"general storage\" of sort, with a large variety of household items.\n
there's no exit in the convex southern wall, whose is obviously the wall of 
the tower, and also the eastern and western walls have no exits, so the only 
exit is the door at the center of the flat north wall, leading back to the 
corridor. 
<<first time>><i>\nIt's the obvious place where sundry items are 
stored..</i><<only>>"
// sundries aside, the shelves contain table & glassware, and searching here 
// gives sundries and tiny/little knowledge...
// tbd: a little bit of herring here or not ?
north = corrS
;
